# Uses of Class
org.opensaml.saml.criterion.EndpointCriterion

Packages that use EndpointCriterion
Package
Description
org.opensaml.saml.common.binding
Classes related to SAML binding operations.
org.opensaml.saml.common.binding.impl
Implementation of SAML binding-level functionality, such as MessageHandlers.

## Uses of EndpointCriterion in org.opensaml.saml.common.binding

Methods in org.opensaml.saml.common.binding that return EndpointCriterion
Modifier and Type
Method
Description
`private EndpointCriterion<EndpointType>`
AbstractEndpointResolver.`validateCriteria(CriteriaSet criteria)`
Verify that the required `EndpointCriterion` is present.
Methods in org.opensaml.saml.common.binding with parameters of type EndpointCriterion
Modifier and Type
Method
Description
`private boolean`
AbstractEndpointResolver.`canUseRequestedEndpoint(EndpointCriterion<EndpointType> criterion)`
Optimize the case of resolving a single endpoint if a populated endpoint is supplied via criteria, and validation is unnecessary due to a signed request.

## Uses of EndpointCriterion in org.opensaml.saml.common.binding.impl

Methods in org.opensaml.saml.common.binding.impl with parameters of type EndpointCriterion
Modifier and Type
Method
Description
`private boolean`
DefaultEndpointResolver.`checkEndpointCriterion(EndpointCriterion<EndpointType> comparison, EndpointType endpoint)`
Verify the candidate's attributes match any attributes supplied in the criterion.